# $Revision: 1.6 $, $Date: 2004/07/12 18:53:31 $

%define         _name phase

Summary:	KDE style - %{_name}
Summary(pl):	Styl do KDE - %{_name}
Name:		kde-style-%{_name}
Version:	0.4
Release:	1
License:	X11
Group:		Themes
Source0:	http://www.kde-look.org/content/files/11402-%{_name}-%{version}.tar.gz
# Source0-md5:	4e5f5bf08e0b185318e5d2d4df5b1b5b
Source1:	http://ep09.pld-linux.org/~djurban/kde/kde-common-admin.tar.bz2
# Source1-md5:	e5c75ce22f1525b13532b519ae88e7a4
Patch0:		%{_name}-unsermake.patch
URL:		http://www.kde-look.org/content/show.php?content=11402
BuildRequires:	autoconf
BuildRequires:	unsermake
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
phase is a widget style for KDE. It is designed to be functional but
not drab, and aesthetic but not distracting.

%description -l pl
phase to styl dla KDE, zaprojektowany tak aby czy funkcjonalno z
estetyk, nie rozpraszajc jednoczenie uytkownika.

%prep
%setup -q -n %{_name}-%{version} -a1
%patch0 -p1

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} cvs  -f admin/Makefile.common

%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/*.so
%{_libdir}/kde3/plugins/styles/*.la
%{_libdir}/kde3/kstyle_*.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_*.so
%{_datadir}/apps/kstyle/themes/*.themerc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-style-phase.spec,v $
Revision 1.6  2004/07/12 18:53:31  djurban
- updated to 0.4, removed admin patch, will use the tarball

Revision 1.5  2004/05/27 10:02:12  djurban
- updated admin and added unsermake support, removed kde_* export, htmldir
  moved to make install

Revision 1.4  2004/04/17 23:18:41  qboosh
- cleanup

Revision 1.3  2004/04/16 21:05:23  djurban
-fix changelog

Revision 1.2  2004/04/16 21:00:39  djurban
- licence is X11

Revision 1.1  2004/04/16 20:59:39  djurban
- a Phase  wudget style for KDE http://www.kde-look.org/content/pre1/11402-1.png
